Page MenuHomePhabricator

PHP alias-related notices are being thrown for social tools specials
Closed, ResolvedPublic

Description

PHP notices are being thrown, because they haven't been linked to the main alias file in extension.json. They should be.

Details

Related Gerrit Patches:
mediawiki/extensions/UserExport : masterFix typo to prevent PHP alias-notices from being thrown
mediawiki/extensions/FanBoxes : masterFix typo to prevent PHP alias-notices from being thrown
mediawiki/extensions/ArticleRatings : masterFix typo to prevent PHP alias-notices from being thrown
mediawiki/extensions/Challenge : masterFix typo to prevent PHP alias-notices from being thrown
mediawiki/extensions/SpecialNamespaces : masterFix typo to prevent PHP alias-notices from being thrown
mediawiki/extensions/Video : masterFix typo to prevent PHP alias-notices from being thrown
mediawiki/extensions/SportsTeams : masterFix typo to prevent PHP alias-notices from being thrown
mediawiki/extensions/UnusedRedirects : masterFix typo to prevent PHP alias-notices from being thrown
mediawiki/extensions/BlogPage : masterFix typo to prevent PHP alias-notices from being thrown
mediawiki/extensions/PictureGame : masterFix typo to prevent PHP alias-notices from being thrown
mediawiki/extensions/QuizGame : masterFix typo to prevent PHP alias-notices from being thrown

Event Timeline

Nemo_bis created this task.Sep 13 2015, 7:52 AM
Nemo_bis raised the priority of this task from to Needs Triage.
Nemo_bis updated the task description. (Show Details)
Nemo_bis added a project: PictureGame.
Nemo_bis added a subscriber: Nemo_bis.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 13 2015, 7:52 AM
SamanthaNguyen moved this task from Backlog to Bugs on the PictureGame board.Sep 1 2016, 2:38 AM
Filip added a subscriber: Filip.

Hmm, looks like its thrown by conflict with extension/mediawiki setting? Also has this problem, cleared LocalSettings.php, and problem disappeared. Need to recreate this again, and find exact extension/mediawiki setting. Appeared in QuizGame.

Restricted Application added a project: Social-Tools. · View Herald TranscriptJan 21 2017, 7:20 PM
SamanthaNguyen renamed this task from PHP Notice: Did not find alias for special page 'PictureGameHome'. Perhaps no aliases are defined for it? to PHP alias-related notices are being thrown for PictureGameHome and QuizGameHome specials.Jan 21 2017, 7:25 PM
SamanthaNguyen updated the task description. (Show Details)
SamanthaNguyen added a project: good first bug.
SamanthaNguyen added a subscriber: SamanthaNguyen.
This comment was removed by SamanthaNguyen.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJan 21 2017, 7:29 PM
SamanthaNguyen moved this task from Backlog to Bugs on the QuizGame board.Jan 21 2017, 7:30 PM
SamanthaNguyen moved this task from Backlog to Doing on the good first bug board.
SamanthaNguyen renamed this task from PHP alias-related notices are being thrown for PictureGameHome and QuizGameHome specials to PHP alias-related notices are being thrown for PictureGame and QuizGame specials.Jan 21 2017, 7:35 PM
SamanthaNguyen updated the task description. (Show Details)

Change 333363 had a related patch set uploaded (by SamanthaNguyen):
Link to main alias file for specials

https://gerrit.wikimedia.org/r/333363

Filip added a comment.Jan 21 2017, 8:38 PM

Nevermind. Tested this on my setup, and its unrelated to extensions/settings. Missed $wgShowDebug.

Umherirrender closed this task as Resolved.Jan 21 2017, 10:21 PM

Change 333363 merged by jenkins-bot:
Fix typo to prevent PHP alias-notices from being thrown

https://gerrit.wikimedia.org/r/333363

SamanthaNguyen reopened this task as Open.Jan 21 2017, 10:25 PM
SamanthaNguyen added a subscriber: Umherirrender.

@Umherirrender Thanks for merging it, I need to upload a patch for PictureGame as well however (was waiting for the first patch to be reviewed and merged so I know I could safely do the same thing to the other extension :-)

Also happen in BlogPage.
PHP Notice: Did not find alias for special page 'CreateBlogPost'. Perhaps no aliases are defined for it?

Change 333457 had a related patch set uploaded (by SamanthaNguyen):
Fix typo to prevent PHP alias-notices from being thrown

https://gerrit.wikimedia.org/r/333457

Change 333458 had a related patch set uploaded (by SamanthaNguyen):
Fix typo to prevent PHP alias-notices from being thrown

https://gerrit.wikimedia.org/r/333458

SamanthaNguyen renamed this task from PHP alias-related notices are being thrown for PictureGame and QuizGame specials to PHP alias-related notices are being thrown for social tools specials.Jan 21 2017, 10:53 PM
SamanthaNguyen added a project: BlogPage.
In T112434#2958570, @FilipGCI wrote:

Also happen in BlogPage.
PHP Notice: Did not find alias for special page 'CreateBlogPost'. Perhaps no aliases are defined for it?

There are some extensions, which using just "$aliases" in the alias file, not "$specialPageAliases"

ArticleRatings
Challenge
FanBoxes
SpecialNamespaces
SportsTeams
UnusedRedirects
UserExport
Video

Change 333457 merged by jenkins-bot:
Fix typo to prevent PHP alias-notices from being thrown

https://gerrit.wikimedia.org/r/333457

Change 333458 merged by jenkins-bot:
Fix typo to prevent PHP alias-notices from being thrown

https://gerrit.wikimedia.org/r/333458

Change 333459 had a related patch set uploaded (by SamanthaNguyen):
Fix typo to prevent PHP alias-notices from being thrown

https://gerrit.wikimedia.org/r/333459

Change 333459 merged by SamanthaNguyen:
Fix typo to prevent PHP alias-notices from being thrown

https://gerrit.wikimedia.org/r/333459

Change 333460 had a related patch set uploaded (by SamanthaNguyen):
Fix typo to prevent PHP alias-notices from being thrown

https://gerrit.wikimedia.org/r/333460

Change 333460 merged by jenkins-bot:
Fix typo to prevent PHP alias-notices from being thrown

https://gerrit.wikimedia.org/r/333460

Change 333461 had a related patch set uploaded (by SamanthaNguyen):
Fix typo to prevent PHP alias-notices from being thrown

https://gerrit.wikimedia.org/r/333461

Change 333461 merged by jenkins-bot:
Fix typo to prevent PHP alias-notices from being thrown

https://gerrit.wikimedia.org/r/333461

Change 333462 had a related patch set uploaded (by SamanthaNguyen):
Fix typo to prevent PHP alias-notices from being thrown

https://gerrit.wikimedia.org/r/333462

Change 333463 had a related patch set uploaded (by SamanthaNguyen):
Fix typo to prevent PHP alias-notices from being thrown

https://gerrit.wikimedia.org/r/333463

Change 333463 merged by jenkins-bot:
Fix typo to prevent PHP alias-notices from being thrown

https://gerrit.wikimedia.org/r/333463

Change 333462 merged by jenkins-bot:
Fix typo to prevent PHP alias-notices from being thrown

https://gerrit.wikimedia.org/r/333462

Change 333464 had a related patch set uploaded (by SamanthaNguyen):
Fix typo to prevent PHP alias-notices from being thrown

https://gerrit.wikimedia.org/r/333464

Change 333464 merged by jenkins-bot:
Fix typo to prevent PHP alias-notices from being thrown

https://gerrit.wikimedia.org/r/333464

Change 333465 had a related patch set uploaded (by SamanthaNguyen):
Fix typo to prevent PHP alias-notices from being thrown

https://gerrit.wikimedia.org/r/333465

Change 333465 merged by jenkins-bot:
Fix typo to prevent PHP alias-notices from being thrown

https://gerrit.wikimedia.org/r/333465

Change 333467 had a related patch set uploaded (by SamanthaNguyen):
Fix typo to prevent PHP alias-notices from being thrown

https://gerrit.wikimedia.org/r/333467

Umherirrender closed this task as Resolved.Jan 21 2017, 11:58 PM
ArticleRatings
Challenge
FanBoxes
SpecialNamespaces
SportsTeams
UnusedRedirects
UserExport
Video

All done, thanks for the patch sets

SamanthaNguyen moved this task from Doing to Done on the good first bug board.Jan 22 2017, 12:04 AM

Change 333467 merged by jenkins-bot:
Fix typo to prevent PHP alias-notices from being thrown

https://gerrit.wikimedia.org/r/333467

It's not a typo. The variable name used to be called $aliases but those were all changed about six years ago. Except these extensions.